Edit image (qwen-image-edit)

post/v1/images/edits

Image generation with the Bailian qwen-image series.

Authentication

Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.

Authorization: Bearer $OLETOKEN_API_KEY

Request body

Content-Type:application/json

FieldTypeRequiredDescription
modelstring—
inputobject—
messagesobject[]—
rolestring——
contentobject[]——
imagestring——
textstring——
parametersobject——
ninteger——
negative_promptstring——
prompt_extendboolean——
watermarkboolean——
sizestring——

Responses

200Image generated

FieldTypeRequiredDescription
createdinteger——
dataobject[]——
urlstring——
b64_jsonstring——
revised_promptstring——

Example request

curl -X POST 'https://api.oletoken.ai/v1/images/edits' \
  -H "Authorization: Bearer $OLETOKEN_API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{
    "model": "string",
    "input": {}
  }'